package com.palacesun.engine.logging.format;

public class MySQLBinaryFormat implements BinaryFormat {
   private static final int PREFIX_LENGTH = 2;

   public String toString(byte[] input) {
      char[] result = new char[2 + input.length * 2];
      int i = 0;
      result[i++] = '0';
      result[i++] = 'x';
      HexEncodedBinaryFormat.hexEncode(input, result, i);
      return new String(result);
   }
}
